Unlocking iphoner 3g with 2.2/BL 5.9 BB 2.30.03

Discussion in 'iPhone' started by raj24, Jun 7, 2009.

  1. raj24

    raj24 Banned

    Joined:
    Jun 18, 2008
    Messages:
    251
    Likes Received:
    0
    Device:
    3G iPod touch
    My friend has bought unlocked iphone 3g 2.1 FW with turbosim 3months ago.

    then yesterday i updated firmware using itunes 8.1 to 2.2.1 and jailbroken.

    then as it wasnt unlocked, i downgraded back from 2.2.1 to 2.2 and jailbroken and as it has Baseband 2.30.03 and bootloader 5.09, it can't be unlocked with yellowsnow.


    now, plz tell me way to unlock or way to downgrade bootloader so i can downgrade baseband and unlock my phone?

    can i still unlock it using turbosim i have? how to use it plz tell me if it's possible..

    rightnow my iphone is like ipodtouch as it's jailbroken but not unlocked.



    i hope there must be some way..

    Thanks...
  2. Shawa

    Shawa Super Moderator

    Joined:
    Jan 31, 2009
    Messages:
    3,188
    Likes Received:
    22
    Device:
    Nexus 4
    Nope, sorry. There is no way to downgrade the baseband. The iPhone dev team is working on Yellowsn0w for 3.0 though.
  3. raj24

    raj24 Banned

    Joined:
    Jun 18, 2008
    Messages:
    251
    Likes Received:
    0
    Device:
    3G iPod touch
    opps.
    so any idea how much time it'll take for jailbroken & unlocked 3.0 to out?

    if not way to downgrade BB and BL, then any other way i can unlock?

    i've turbosoim too which was working with original 2.1 unlocked phone from US. can i use it and unlock anyway?
  4. anniex423

    anniex423 New Member

    Joined:
    Jun 2, 2009
    Messages:
    110
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    That's weird I did the exact same thing to my friends phone. But I was trying to preserve the baseband and accidentally used the wrong firmware and upgraded the baseband. To answer your question, you have to wait for the 3.0 FW to be released before the dev team will work on updating yellowsn0w.

    So what did I do for the mean time... I had a GEVEY turbosim for FW 2.1 and it did not work on baseband 2.30. So I bought the new GEVEY 3G turbosim. That's the one you want to get to work on baseband 2.30. My friend complains that it sometimes loses reception but usually it comes back within less than 5 minutes. I've tried the other turbosims to unlock but they just didn't perform as well as the GEVEY 3G. So just buy that off of eBay or Amazon and the phone will be unlocked just fine. It's pretty cheap.

Share This Page